4

I don't want to update my pre-installed Ruby to the latest version.

My question is: how can I upgrade the version of Ruby to version 2.1.6 on Mac via terminal?

2

Since homebrew has moved on to ruby version 2.4.2 you might not have luck installing that far back a version.

I've not used RVM lately, since I'm happy with keeping up with the ruby version that's stable (and let home brew update things since I have no legacy projects needing 2.1), but give the following steps a shot. This will side load another version that's older than what Apple ships.

Once that's installed:

 rvm install 2.1.6  
 rvm --default use 2.1.6
  • 2
    Can't up vote mate but this worked. – byte me Oct 16 '17 at 2:34
  • @byteme no worries. You did the most important thing - using the check mark to indicate it worked for you! – bmike Jan 13 at 16:12

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .